# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KJS::Undefined Class Reference

Represents an primitive Undefined value. More...

`#include <value.h>`

Inheritance diagram for KJS::Undefined:

[legend]
Collaboration diagram for KJS::Undefined:

[legend]
List of all members.

## Public Member Functions

| Undefined (const Undefined &v)
Undefined & | operator= (const Undefined &v)

## Static Public Member Functions

Undefined | dynamicCast (const Value &v)
| Converts a Value into an Undefined.

## Friends

class | UndefinedImp

## Detailed Description

Represents an primitive Undefined value.

All instances of this class share the same implementation object, so == will always return true for any comparison between two Undefined objects.

Definition at line 282 of file value.h.

## Member Function Documentation

Undefined Undefined::dynamicCast | ( | const Value & | v | ) | `[static]`

Converts a Value into an Undefined.

If the value's type is not UndefinedType, a null object will be returned (i.e. one with it's internal pointer set to 0). If you do not know for sure whether the value is of type UndefinedType, you should check the isNull() methods afterwards before calling any methods on the returned value.

Returns:
  The value converted to an Undefined

Definition at line 336 of file value.cpp.

References KJS::Value::isNull(), and KJS::Value::type().

The documentation for this class was generated from the following files:

- value.h
- value.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:09:39 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001